Click or drag to resize
RhinoDocDimStyles Property

[Missing <summary> documentation for "P:Rhino.RhinoDoc.DimStyles"]

Namespace: Rhino
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public DimStyleTable DimStyles { get; }

Property Value

Type: DimStyleTable
Examples
using Rhino;
using Rhino.DocObjects;
using Rhino.Commands;
using Rhino.Geometry;

namespace examples_cs
{
  public class ChangeDimensionStyleCommand : Rhino.Commands.Command
  {
    public override string EnglishName
    {
      get { return "csChangeDimensionStyle"; }
    }

    protected override Result RunCommand(RhinoDoc doc, RunMode mode)
    {
      foreach (var rhino_object in doc.Objects.GetObjectList(ObjectType.Annotation))
      {
        var annotation_object = rhino_object as AnnotationObjectBase;
        if (annotation_object == null) continue;

        var annotation = annotation_object.Geometry as AnnotationBase;
        if (annotation == null) continue;

        if (annotation.Index == doc.DimStyles.CurrentDimensionStyleIndex) continue;

        annotation.Index = doc.DimStyles.CurrentDimensionStyleIndex;
        annotation_object.CommitChanges();
      }

      doc.Views.Redraw();

      return Result.Success;
    }
  }
}
from Rhino import *
from Rhino.DocObjects import *
from Rhino.Commands import *
from Rhino.Geometry import *
from scriptcontext import doc

def RunCommand():
  for annotation_object in doc.Objects.GetObjectList(ObjectType.Annotation):
    if not isinstance (annotation_object, AnnotationObjectBase):
      continue

    annotation = annotation_object.Geometry

    if annotation.Index == doc.DimStyles.CurrentDimensionStyleIndex:
      continue

    annotation.Index = doc.DimStyles.CurrentDimensionStyleIndex
    annotation_object.CommitChanges()

  doc.Views.Redraw()
  return Result.Success

if __name__ == "__main__":
  RunCommand()
See Also